package com.hdkj.lt.bf.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hdkj.lt.core.bizms.modle.po.plan.FhzgPlanTransferStrategyConfigDetail;
import com.hdkj.lt.bf.entity.dto.StrategyConfigDTO;
import com.hdkj.lt.bf.entity.dto.StrategyConfigDetailDTO;
import com.hdkj.lt.bf.entity.dto.StrategyconfigInfoDTO;
import com.hdkj.lt.bf.entity.vo.FhzgStrategyConfigDetailVO;
import com.hdkj.lt.bf.entity.vo.FhzgStrategyConfigVO;

import java.util.List;

public interface FhzgPlanStrategyService {
    Page<FhzgStrategyConfigVO> getStrategyconfigList(StrategyConfigDTO dto);

    FhzgStrategyConfigDetailVO getStrategyconfigDetail(StrategyConfigDetailDTO dto);

    String addStrategyconfig(StrategyconfigInfoDTO dto);

    String updateStrategyconfig(StrategyconfigInfoDTO dto);

    String usedStrategyconfig(StrategyConfigDetailDTO dto);
    /**
     *
     *查询某个计划，使用的评分策略字段表头信息
     **/
    List<FhzgPlanTransferStrategyConfigDetail> getStrategyDetailByPlanId(Long planId);

    /**
     *
     *查询某个故障，使用的评分策略字段表头信息
     **/
    List<FhzgPlanTransferStrategyConfigDetail> getStrategyDetailByFaultId(Long faultId);
}
